#1934 closed defect (fixed)

libchip ns16550 bug -use unsigned type

Reported by: Jennifer Averett Owned by: Joel Sherrill
Priority: normal Milestone: 4.11
Component: bsps Version: 4.11
Severity: normal Keywords:
Cc: ralf.corsepius@… Blocked By:
Blocking:

Description

The attached patch changes a signed character to an unsigned in order to solve problems that occured when transmitting chararacters with the upper bit set.

Attachments (1)

diff_ns16550-c.txt (386 bytes) - added by Jennifer Averett on Oct 14, 2011 at 12:21:37 PM.
Changes signed character to unsigned to fix data problem

Download all attachments as: .zip

Change History (5)

comment:1 Changed on Oct 14, 2011 at 1:51:10 AM by Ralf Corsepius

Cc: Ralf Corsepius added

Changed on Oct 14, 2011 at 12:21:37 PM by Jennifer Averett

Attachment: diff_ns16550-c.txt added

Changes signed character to unsigned to fix data problem

comment:2 Changed on Nov 9, 2011 at 7:51:51 PM by Joel Sherrill

Summary: libchip ns16550 buglibchip ns16550 bug -use unsigned type

comment:3 Changed on Nov 9, 2011 at 7:53:21 PM by Joel Sherrill

Resolution: fixed
Status: newclosed

Patch applied to all applicable branches.

Thanks.

comment:4 Changed on Nov 24, 2014 at 6:58:28 PM by Gedare

Version: HEAD4.11

Replace Version=HEAD with Version=4.11 for the tickets with Milestone >= 4.11

Note: See TracTickets for help on using tickets.